{
  description = "infrastructure environment";

  inputs = {
    # lib
    nixpkgs.url = github:nixos/nixpkgs;
    flake-utils.url = github:numtide/flake-utils;
    agenix.url = github:ryantm/agenix;
  };

  outputs = { self, nixpkgs, flake-utils, agenix }: flake-utils.lib.eachDefaultSystem (system:
    let
      pkgs = nixpkgs.legacyPackages.${system};
    in
      {
        devShells.default = pkgs.mkShell {
          buildInputs = [
            pkgs.ansible
            pkgs.ansible-lint
            agenix.packages.${system}.default
          ];

          shellHook = ''
            PS1="(infra) $PS1"
          '';
        };
      }
  );
}
